# $Revision: 1.36 $, $Date: 2008/08/18 00:14:34 $
Summary:	Program to snoop on a TTY through another
Summary(pl.UTF-8):	Program służący do kontrolowania jednej konsoli za pomocą innej
Name:		ttysnoop
Version:	0.12c
Release:	12
License:	distributable
Group:		Applications/Terminal
Source0:	ftp://sunsite.unc.edu/pub/Linux/utils/terminal/%{name}-%{version}.tar.gz
# Source0-md5:	85ba8fcac7b1a3a103fe632eef26a92d
Patch0:		%{name}-%{version}-glibc.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
The package allows you to snoop on login tty's through another
tty-device or pseudo-tty. The snoop-tty becomes a 'clone' of the
original tty, redirecting both input and output from/to it.

%description -l pl.UTF-8
Pakiet ten pozwala na podglądanie i kontrolowanie loginowych tty
poprzez inne urządzenie tego typu lub pseudo-tty. Urządzenie
kontrolujące staje się klonem pierwotnego tty, przekierowując strumień
wejścia/wyjścia do niego.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT%{_var}/spool/%{name}

install ttysnoop{,s}	$RPM_BUILD_ROOT%{_sbindir}
install ttysnoop.8	$RPM_BUILD_ROOT%{_mandir}/man8
echo ".so ttysnoop.8" > $RPM_BUILD_ROOT%{_mandir}/man8/ttysnoops.8
install snooptab.dist	$RPM_BUILD_ROOT%{_sysconfdir}/snooptab

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/snooptab
%attr(755,root,root) %{_sbindir}/*
%attr(700,root,root) %dir %{_var}/spool/%{name}
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ttysnoop.spec,v $
Revision 1.36  2008/08/18 00:14:34  adamg
- release 12

Revision 1.35  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.34  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.33  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.32  2006/07/28 08:33:52  darekr
- pass CC

Revision 1.31  2005/12/13 15:35:56  glen
- adapterized (sorted %verify attrs)

Revision 1.30  2004/11/25 12:08:50  zboczuch
- typos

Revision 1.29  2004/10/29 14:04:43  paladine
- spelling fixes, unifications

Revision 1.28  2004/09/20 00:07:42  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.27  2003/11/29 12:26:28  undefine
- release 10 to rebuild with ac

Revision 1.26  2003/08/26 15:03:36  qboosh
- no // in paths, other cosmetics

Revision 1.25  2003/05/28 13:02:22  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:27:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2002/11/30 23:00:29  juandon
- new %%doc

Revision 1.22  2002/02/23 04:55:16  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:15:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/12/07 08:52:30  kloczek
- release 9.

Revision 1.18  2001/11/23 14:39:19  qboosh
- s/Copyright/License/

Revision 1.17  2001/05/03 01:14:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.16  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/05/05 15:06:01  mis
- Group: synced with PLD groups

Revision 1.14  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.12  2000/02/18 18:27:48  kloczek
- release 8,
- some cosmetics.

Revision 1.11  2000/02/18 18:12:29  misiek
- fixed pl translation and added one dir and one man page

Revision 1.10  1999/12/05 17:04:46  kloczek
- release 7,
- more rpm macros.

Revision 1.9  1999/12/05 13:06:50  alchemyx
- typo
- translation added/fixed

Revision 1.8  1999/11/27 15:35:25  kloczek
- typo,
- fixed passing $RPM_OPT_FLAGS.

Revision 1.7  1999/11/27 15:28:03  kloczek
- more rpm macros,
- cosmetics.

Revision 1.6  1999/11/27 14:32:09  lukasz
- cosmetics

Revision 1.5  1999/11/27 10:49:42  lukasz
- removed chars "^H^H" from section install ;)

Revision 1.4  1999/11/27 01:34:12  alchemyx
- typo
